%define oname Ice
%define major 3.2
Name: python-module-Ice
Version: %major.1
Release: alt2.1

Summary: The Ice runtime for Python applications

License: GPL
Group: System/Libraries
Url: http://www.zeroc.com/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.zeroc.com/download/Ice/%major/IcePy-%version.tar.bz2
Source1: http://www.zeroc.com/download/Ice/%major/Ice-rpmbuild-%major.0.tar.bz2

%setup_python_module Ice

Requires: libice = %version

Provides: python-module-ice
Obsoletes: python-module-ice

# Automatically added by buildreq on Fri Aug 03 2007
BuildRequires: gcc-c++ ice libice-devel python-dev

%description
Ice is a modern alternative to object middleware such as CORBA or
COM/DCOM/COM+.  It is easy to learn, yet provides a powerful network
infrastructure for demanding technical applications. It features an
object-oriented specification language, easy to use C++, C#, Java,
Python, Ruby, PHP, and Visual Basic mappings, a highly efficient
protocol, asynchronous method invocation and dispatch, dynamic
transport plug-ins, TCP/IP and UDP/IP support, SSL-based security, a
firewall solution, and much more.

%package -n %name-devel
Summary: Tools for developing Ice applications in Python
Group: Development/Other
Requires: %name = %version-%release
Provides: python-module-ice-devel
Obsoletes: python-module-Ice-devel

%description -n %name-devel
Ice is a modern alternative to object middleware such as CORBA or
COM/DCOM/COM+.  It is easy to learn, yet provides a powerful network
infrastructure for demanding technical applications. It features an
object-oriented specification language, easy to use C++, C#, Java,
Python, Ruby, PHP, and Visual Basic mappings, a highly efficient
protocol, asynchronous method invocation and dispatch, dynamic
transport plug-ins, TCP/IP and UDP/IP support, SSL-based security, a
firewall solution, and much more.

%prep
%setup -q -n IcePy-%version
tar xfj %SOURCE1

%build
%make_build OPTIMIZE=yes embedded_runpath_prefix=""

%install

# do not use make_install, it overrides INSTALL_DATA
mkdir -p %buildroot%python_sitelibdir/Ice
echo Ice >%buildroot%python_sitelibdir/Ice.pth
make prefix=%buildroot \
	embedded_runpath_prefix="" \
	install_pythondir=%buildroot%python_sitelibdir/Ice \
	install_libdir=%buildroot%python_sitelibdir/Ice \
	install

rm -f %buildroot/ICE_LICENSE %buildroot/LICENSE

%files
%doc ICE_LICENSE LICENSE
%doc demo
%python_sitelibdir/Ice/
%python_sitelibdir/Ice.pth

%changelog
* Mon Feb 11 2008 Grigory Batalov <bga@altlinux.ru> 3.2.1-alt2.1
- Rebuilt with python-2.5.

* Wed Oct 31 2007 Vitaly Lipatov <lav@altlinux.ru> 3.2.1-alt2
- rename package (module name is Ice)
- fix install (IcePy.so was missed), add Ice.pth

* Fri Sep 21 2007 Vitaly Lipatov <lav@altlinux.ru> 3.2.1-alt1
- new version 3.2.1 (with rpmrb script)

* Mon Aug 06 2007 Vitaly Lipatov <lav@altlinux.ru> 3.2.0-alt2
- add IcePy provides, change python module name to Ice

* Fri Aug 03 2007 Vitaly Lipatov <lav@altlinux.ru> 3.2.0-alt1
- initial build for ALT Linux Sisyphus

* Fri Dec 6 2006 ZeroC Staff
- See source distributions or the ZeroC website for more information
  about the changes in this release

